const colors = require('tailwindcss/colors');

module.exports = {
  important: false,
  purge: {
    mode: 'all',
    preserveHtmlElements: false,
    content: [
      './public/class-learndash-access-for-parents-public.php',
      './public/partials/*.php',
      './admin/partials/ldpa-access-page.php',
      './admin/class-learndash-access-for-parents-admin.php',
      './admin/partials/class-learndash-access-for-parents-mail-settings.php',
    ],
  },
  darkMode: false,
  theme: {
    fontSize: {
      xs: '12px',
      sm: '15px',
      tiny: '.875rem',
      base: '1rem',
      lg: '18px',
      xl: '1.25rem',
      '2xl': '1.5rem',
      '3xl': '1.875rem',
      '4xl': '2.25rem',
      '5xl': '3rem',
      '6xl': '4rem',
      '7xl': '5rem',
    },
    extend: {
      colors: {
        immerseus: '#1f7ea1',
        teal: colors.teal,
        lightBlue: colors.lightBlue,
        green: colors.green,
      },
    },
  },
  prefix: 'spald-',
  corePlugins: {
    preflight: false,
  },
};
